Bug 5908

Summary: Устаревшая версия dvb-tools 2003-10-13 < 2005-01-20
Product: [Development] Sisyphus Reporter: ru_classic <ru_classic@mail.ru>
Component: dvb-toolsAssignee: Nobody's working on this, feel free to take it <nobody@altlinux.org>
Status: CLOSED WONTFIX QA Contact: qa-sisyphus@altlinux.org
Severity: normal    
Priority: P2 CC: php-coder@altlinux.org
Version: unstable   
Hardware: all   
OS: Linux   
Attachments:
Description Flags
Вывод lspci -vvv для ПК с DVB-картой SkyStar2
none
Вывод lspcidrake -v для ПК с DVB-картой SkyStar2 none

Description From 2005-01-20 21:14:29
На дворе уже 2005-й год и хорошо бы собрать dvb-tools посвежее (и драйвера,
кстати, тоже), а то в сборке от 2003-10-13 нет к примеру утилиты dvbtraffic, а
она бывает как в процессе настройки спутникового инета, так и в процессе
проверки работоспособности, нелишней.
------- Comment #1 From 2005-01-22 01:28:09 -------
Согласен, что версия старая, но у нас такая удобная и дружелюбная процедура
сборки и отправки модулей ядра, что одно воспоминание об этом стоит больших
усилий. 

Сейчас есть достаточно новая прошивка SS1, так что постараюсь собрать. 
------- Comment #2 From 2005-01-22 01:30:36 -------
Дело значительно ускорится, если поможете наладить автоопределение карт SS2.
Хочется, чтобы DVB включалось как и остальное железо сразу после установки
пакета без плясок с modules.conf.
------- Comment #3 From 2005-01-23 19:14:46 -------
(In reply to comment #2)
> Дело значительно ускорится, если поможете наладить автоопределение карт SS2.

Что от меня требуется? Вывод lspci или какой-то другой утилиты? И с какими ключами?
------- Comment #4 From 2005-01-23 20:20:00 -------
Я понятия не имею как работает автоопределение железа и как добавить новое
устройство в группу опознаваемых. У меня есть рекомендации разработчиков DVB
драйвера по содержимому modules.conf, которые позволяют сделать поддерживаемыми
без плясок только SS1. Это работает с моей Technotrend SkyStar 1. Проверить на
других картах я не могу. 

Поэтому мне необходимы две вещи:
1) подробная инструкция типа HOWTO о том, как наладить автоматическое
опознавание карт и автозагрузку всех нужных модулей. Инструкция должна
учитывать
назревающие изменения и отказ от старого доброго modules.conf.
2) данные любых доступных DVB железок, позволяющие применить инструкцию.

Полагаю, что пункт 1 должен выполнить rider, а 2 - все, у кого есть DVB. Под
такое дело я могу временно даже раздобыть SS2.

Сейчас собираю драйвер версии 1.1.1 для ядер 2.4.
------- Comment #5 From 2005-01-23 22:59:27 -------
(In reply to comment #4)
> Я понятия не имею как работает автоопределение железа и как добавить новое
> устройство в группу опознаваемых. 

Аналогично.

> 2) данные любых доступных DVB железок, позволяющие применить инструкцию.

Завтра-послезавтра, как смогу добраться до железки, сюда положу атачи с данными
lspci, lspcidarke.

> Сейчас собираю драйвер версии 1.1.1 для ядер 2.4.

Про ядро 2.6 не забудьте. И кстати, под 2.4 у меня не лочится спутник. szap
ничего не видит. Это наблюдается как на сборке 2003-10-13, так и на 2005-01-17.
Хотя надо ещё раз перепроверить -- возможно я впопыхах что-то пропустил. Но
получив работающую SS2 на ядре 2.6, не стал возиться с 2.4 -- времени было в обрез.
------- Comment #6 From 2005-01-27 19:06:38 -------
Created an attachment (id=711) [details]
Вывод lspci -vvv для ПК с DVB-картой SkyStar2
------- Comment #7 From 2005-01-27 19:10:01 -------
Created an attachment (id=712) [details]
Вывод lspcidrake -v для ПК с DVB-картой SkyStar2	
------- Comment #8 From 2005-01-29 22:29:59 -------
Я собрал новый драйвер "стабильной" версии 1.1.1. Посмотрел я это чудо - и
решил, что не надо нам такой дряни. После компиляции всех модулей без
каких-либо
проблем эти новые драйвера невозможно загрузить. Неизвестно откуда возникают
"unresolved symbols" и "circular dependencies". V4L2 напрочь ломает аналоговое
телевидение, попытка использовать рекомендуемый скрипт для моей "full-featured"
карты (которая поддерживается очень давно) приводит к загрузке неверного
драйвера "budget" и зависанию.

Я не буду обновлять работающий драйвер и tools пока не найдется рабочая новая
версия.

В качестве бонуса сделан пакет прошивок firmware-dvb, который может пригодится
пользователям ядра 2.6. 
------- Comment #9 From 2005-01-29 22:31:23 -------
Если есть желание экспериментировать могу прислать spec.
------- Comment #10 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #11 From 2009-01-10 00:03:47 -------
Пакета нет в Сизифе.